Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159457 - Configuration support for Mirroring
Summary: Configuration support for Mirroring
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-lvm
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jim Parsons
QA Contact:
URL:
Whiteboard:
Depends On: 180281
Blocks: 181409
TreeView+ depends on / blocked
 
Reported: 2005-06-02 19:43 UTC by Jim Parsons
Modified: 2009-04-16 23:11 UTC (History)
5 users (show)

Fixed In Version: RHBA-2006-0528
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-10 21:50:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0528 normal SHIPPED_LIVE system-config-lvm bug fix update 2006-08-10 04:00:00 UTC

Comment 6 Jim Parsons 2005-07-05 03:20:28 UTC
QA Note:  Only 2-way mirroring is supported for this release. To test that the
mirror was created properly by the UI, begin with a VG that is composed of
partitions on two different hard drives. next, make a SMALL LV on the VG (the
bigger the LV, the longer mirror creation takes) Turn the LV into a mirrored LV
by editing the LV props and selecting the 2-way mirror radio button. Save some
data to the LV and then, i guess you could go in an format one of the mirror
partitions, and see if the data is still available...but this starts testing the
underlying LVM code, noy the GUI; so I doubt you would want to go much farther
with this test path. Hope this helps. BTW, physical extents that are part of a
mirrored LV can not be moved.

Comment 7 Stanko Kupcevic 2005-07-14 15:15:36 UTC
QA Note: There is also a progress bar showing the progress of mirror
synchronization. It should detect synchronization after mirror creation and on
the  app startup. App should be usable during sync. 

Comment 9 Jim Parsons 2005-08-15 20:50:01 UTC
Deferring to U3

Comment 17 Jim Parsons 2005-11-14 20:08:20 UTC
All set in 1.0.8-1.0

Comment 19 Nate Straz 2006-01-31 21:58:32 UTC
Contrary to the note to QA in the bug, if you only have two physical
volumes in a volume group and check "Mirrored," a dialog pops up saying
you can't.

	There must be free space on at least three 
	Physical Volumes to enable mirroring


Comment 20 Nate Straz 2006-01-31 22:02:09 UTC
After creating a mirror, I was able to see the progress of the mirror copy with
the `lvs` command, but I didn't see a "progress bar" anywhere in s-c-lvm.

Comment 21 Nate Straz 2006-02-06 20:41:19 UTC
An improper error message pops up when I try to edit properties of a mirror LV
that I have created a snapshot of.

Steps to reproduce:
1. Create a mirror volume
2. Create a snapshot of the mirror volume
3. Select the mirror volume
4. Click the "Edit Properties" button

A dialog with the error message "Logical Volumes with associated snapshots
cannot be mirrored yet."

After clearing the error dialog, the edit form shows the LV is not mirrored
which conflicts with the properties window.

Comment 22 Nate Straz 2006-02-06 22:58:19 UTC
I split my comments out into new bugs that block this one.
I'm moving this to FAILS_QA so the new bugs get addressed.

Comment 24 Stanko Kupcevic 2006-02-14 22:02:56 UTC
There is a variable in /usr/share/system-config-lvm/lvmui_constants.py
(MIRRORING_UI_SUPPORT) that enables/disables UI support for mirroring.



Comment 28 Stanko Kupcevic 2006-05-11 20:05:02 UTC
Mirroring enabled in 1.0.17

Comment 30 Stanko Kupcevic 2006-07-10 16:30:44 UTC
Removing dep on 180269, as it is defered until LVM support it. 

Comment 32 Red Hat Bugzilla 2006-08-10 21:50:08 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0528.html



Note You need to log in before you can comment on or make changes to this bug.